Bug 846759 - Current version of python-djblets in Fedora-17 contains embeded copy of python-feedparser, vulnerable to CVE-2009-5065, CVE-2011-1156, CVE-2011-1157, and CVE-2011-1158
Current version of python-djblets in Fedora-17 contains embeded copy of pytho...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-djblets (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends On: 846757 846760 846762
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 11:42 EDT by Jan Lieskovsky
Modified: 2012-08-17 21:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 846757
Environment:
Last Closed: 2012-08-17 21:26:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-08 11:42:09 EDT
+++ This bug was initially created as a clone of Bug #846757 +++

Description of problem:
Current version of python-djblets for Fedora-17 contains embedded / own copy of python-feedparser (BUILD/Djblets-0.6.22/djblets/feedview/feedparser.py) code, which is vulnerable to numerous security flaws (CVE-2009-5065, CVE-2011-1156, CVE-2011-1157, and CVE-2011-1158 to mention some of them).

Version-Release number of selected component (if applicable):
python-djblets-0.6.22-1.fc17

Additional info:
See https://bugzilla.redhat.com/show_bug.cgi?id=684877#c2 and https://bugzilla.redhat.com/show_bug.cgi?id=684877#c3 for further details.

Particular python-feedparser issues are as follows:
1, CVE-2009-5065
   Upstream ticket: http://code.google.com/p/feedparser/issues/detail?id=195
   Relevant patch: http://code.google.com/p/feedparser/source/detail?r=336#

2) CVE-2011-1156:
   Upstream ticket: https://code.google.com/p/feedparser/issues/detail?id=91
   Relevant patch: https://code.google.com/p/feedparser/source/detail?r=376#

3) CVE-2011-1157:
   Upstream ticket: https://code.google.com/p/feedparser/issues/detail?id=254
   Relevant patch: https://code.google.com/p/feedparser/source/detail?r=375#

4) CVE-2011-1158:
   Upstream ticket: https://code.google.com/p/feedparser/issues/detail?id=255
   Relevant patch: https://code.google.com/p/feedparser/source/detail?r=374#

Since there is a system version of python-feedparser package available in Fedora-17 (python-feedparser-5.1.2-2.fc17), which is not vulnerable to these issues any more (bug #684877), if possible, python-djblets should be instructed to use system version of the python-feedparser package instead of the embedded feedparser.py code (since if another security issue is found in the embedded code, python-djblets would need to be updated too).
Comment 1 Fedora Update System 2012-08-08 15:52:37 EDT
python-djblets-0.7.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-djblets-0.7.1-3.fc17
Comment 2 Fedora Update System 2012-08-09 19:27:53 EDT
Package python-djblets-0.7.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-djblets-0.7.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11668/python-djblets-0.7.1-3.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-08-17 21:26:07 EDT
python-djblets-0.7.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.